Subject: [MIB-DOCTORS] RMON Alarm Threshold values

From: "David T. Perkins" <[email-masked]>
Date: Sun, 10 Sep 2006 17:40:16 -0700 (PDT)

HI,

I was hopeing that someone on the RMON list would know the
answers to the following questions about the threshold
objects in the RMON alarm table. I got no answer, so
I thought maybe one of the MIB docs might know, or
would forward this on to an implementor of RMON.

Thanks,
/david t. perkins

---------- Forwarded message ----------
Date: Wed, 30 Aug 2006 12:48:29 -0700 (PDT)
From: David T. Perkins <[email-masked]>
To: [email-masked]
Subject: Threshold values

HI,

This sounds simple, but just checking to make sure there is
not a trick that I'm missing.

In the alarm table, what is the behavior if the value for
the rising threshold is set below the value for the falling
threshold?

Is that "illegal", or does it mean that is legal, but
with no hysteresis?

If it is legal, and the alarm table and event table
have the following entries:

alarmInterval.1 = 20
alarmVariable.1 = myMonitoredValue.0
alarmSampleType.1 = absoluteValue(1)
alarmStartupAlarm.1 = risingAlarm(1)
alarmRisingThreshold.1 = 50
alarmFallingThreshold.1 = 100
alarmRisingEventIndex.1 = 1
alarmFallingEventIndex.1 = 1

eventType.1 = snmptrap(3)

What is the result for the following sequence of values?

myMonitoredValue.0 = 40
myMonitoredValue.0 = 55
myMonitoredValue.0 = 49
myMonitoredValue.0 = 51

Also, are there any references that walk through this and other
examples? (Other than found in books by Perkins, Held, Stallings,
and Miller)

Regards,
/david t. perkins

_______________________________________________
MIB-DOCTORS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mib-doctors